- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::version::Version Class Reference

Compare version strings Simple class that allow comparing two version number. More...

`#include <version.hpp>`

## Public Member Functions
| Version ()
| These constructors are implicit by design. More...
| Version (const Version &other)
| Copy constructor. More...
| Version (const std::string &version)
| Constructor converting a string. More...
| Version (const char *version)
| Constructor converting a char*. More...
| ~Version ()
| Destructor. More...
Version & | operator= (const Version &rhs)
| Assignation opertator. More...
| operator const std::string & () const
| Converting the Version to a String. More...
bool | operator< (const Version &pi) const
| operator < More...
bool | operator> (const Version &pi) const
| operator > More...
bool | operator== (const Version &pi) const
| operator == More...
bool | operator!= (const Version &pi) const
| operator != More...
bool | operator<= (const Version &pi) const
| operator <= More...
bool | operator>= (const Version &pi) const
| operator >= More...

## Detailed Description

Compare version strings Simple class that allow comparing two version number.

Definition at line 35 of file version.hpp.

## Constructor & Destructor Documentation

qi::version::Version::Version | ( |  | ) |

These constructors are implicit by design.

qi::version::Version::Version | ( | const Version & | other | ) |

Copy constructor.

qi::version::Version::Version | ( | const std::string & | version | ) |

Constructor converting a string.

qi::version::Version::Version | ( | const char * | version | ) |

Constructor converting a char*.

qi::version::Version::~Version | ( |  | ) |

Destructor.

## Member Function Documentation

qi::version::Version::operator const std::string & | ( |  | ) | const

Converting the Version to a String.

bool qi::version::Version::operator!= | ( | const Version & | pi | ) | const

operator !=

Parameters

  pi |

Returns
  true if pi is different

bool qi::version::Version::operator< | ( | const Version & | pi | ) | const

operator <

Parameters

  pi |

Returns
  true if pi is superior

bool qi::version::Version::operator<= | ( | const Version & | pi | ) | const

operator <=

Parameters

  pi |

Returns
  true if pi is superior or equal

Version& qi::version::Version::operator= | ( | const Version & | rhs | ) |

Assignation opertator.

bool qi::version::Version::operator== | ( | const Version & | pi | ) | const

operator ==

Parameters

  pi |

Returns
  true if pi is equal

bool qi::version::Version::operator> | ( | const Version & | pi | ) | const

operator >

Parameters

  pi |

Returns
  true if pi is inferior

bool qi::version::Version::operator>= | ( | const Version & | pi | ) | const

operator >=

Parameters

  pi |

Returns
  true if pi is inferior or equal

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/version.hpp